net.corda.core.contracts

## Class FungibleAssetKt

- net.corda.core.contracts.FungibleAssetKt

-     public class FungibleAssetKt

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <T> Amount<net.corda.core.contracts.Issued>` | `sumFungibleOrNull(java.lang.Iterable<? extends net.corda.core.contracts.ContractState> $receiver)` Sums the asset states in the list, returning null if there are none.
    `static <T> Amount<net.corda.core.contracts.Issued>` | `sumFungibleOrZero(java.lang.Iterable<? extends net.corda.core.contracts.ContractState> $receiver, Issued<? extends T> token)` Sums the asset states in the list, returning zero of the given token if there are none.

- - ### Method Detail

    - #### sumFungibleOrNull

          public static <T> Amount<net.corda.core.contracts.Issued> sumFungibleOrNull(java.lang.Iterable<? extends net.corda.core.contracts.ContractState> $receiver)

      Sums the asset states in the list, returning null if there are none.

    - #### sumFungibleOrZero

          public static <T> Amount<net.corda.core.contracts.Issued> sumFungibleOrZero(java.lang.Iterable<? extends net.corda.core.contracts.ContractState> $receiver,
                                                                                      Issued<? extends T> token)

      Sums the asset states in the list, returning zero of the given token if there are none.